searchData={"items":[{"type":"task","title":"mix check_code","doc":"Runs a series of code quality checks, including formatting, testing, static analysis, and\nlinting.\n\nThis Mix task executes the following commands sequentially:\n\n- `mix format`   - Ensures code is properly formatted.\n- `mix test`     - Runs the test suite to verify correctness.\n- `mix dialyzer` - Performs static analysis to detect type errors.\n- `mix credo`    - Checks for code style and best practices.","ref":"Mix.Tasks.CheckCode.html"},{"type":"task","title":"Usage - mix check_code","doc":"mix check_code","ref":"Mix.Tasks.CheckCode.html#module-usage"},{"type":"task","title":"Requirements - mix check_code","doc":"Contributors **MUST** run this task before submitting a Pull Request (PR).\nEnsure that all checks pass to maintain code quality, consistency, and correctness.","ref":"Mix.Tasks.CheckCode.html#module-requirements"},{"type":"task","title":"Notes - mix check_code","doc":"- If any command fails, the process will stop, and the corresponding error must be resolved.\n- Running `mix dialyzer` may take longer on the first run due to PLT (Persistent Lookup Table)\nbuilding.","ref":"Mix.Tasks.CheckCode.html#module-notes"},{"type":"module","title":"NeoFaker.EnUs.Person","doc":"Functions for generating person-related information specific to the United States.\n\nThis module provides utilities to generate random personal details specific to the United States,\nsuch as Social Security Numbers (SSNs).","ref":"NeoFaker.EnUs.Person.html"},{"type":"function","title":"NeoFaker.EnUs.Person.ssn/0","doc":"Generates a random SSN.\n\nReturns a random SSN (Social Security Number).","ref":"NeoFaker.EnUs.Person.html#ssn/0"},{"type":"function","title":"Examples - NeoFaker.EnUs.Person.ssn/0","doc":"iex> NeoFaker.EnUs.Person.ssn()\n    \"184-63-2006\"","ref":"NeoFaker.EnUs.Person.html#ssn/0-examples"},{"type":"module","title":"NeoFaker.IdId.Person","doc":"Functions for generating person-related information specific to Indonesia.\n\nThis module provides utilities to generate random personal details specific to Indonesia, such\nas Nomor Induk Kependudukan (NIK).","ref":"NeoFaker.IdId.Person.html"},{"type":"function","title":"NeoFaker.IdId.Person.nik/0","doc":"Generates a random NIK.\n\nReturns a random NIK (Nomor Induk Kependudukan).","ref":"NeoFaker.IdId.Person.html#nik/0"},{"type":"function","title":"Examples - NeoFaker.IdId.Person.nik/0","doc":"iex> NeoFaker.IdId.Person.nik()\n    \"7645504903500640\"","ref":"NeoFaker.IdId.Person.html#nik/0-examples"},{"type":"module","title":"NeoFaker.App","doc":"Functions for generating app metadata.\n\nThis module provides utilities to generate random app-related information, including author\nnames, app names, descriptions, versions, and licenses.","ref":"NeoFaker.App.html"},{"type":"function","title":"NeoFaker.App.author/1","doc":"Generates a random app author name.\n\nThe author name is randomly generated as a full name.","ref":"NeoFaker.App.html#author/1"},{"type":"function","title":"Examples - NeoFaker.App.author/1","doc":"iex> NeoFaker.App.author()\n    \"José Valim\"","ref":"NeoFaker.App.html#author/1-examples"},{"type":"function","title":"NeoFaker.App.description/1","doc":"Generates a short app description.\n\nThe description provides a brief summary of the app's purpose.","ref":"NeoFaker.App.html#description/1"},{"type":"function","title":"Options - NeoFaker.App.description/1","doc":"The accepted options are:\n\n- `:locale` - Specifies the locale to use.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `:default`.\n- `:id_id` - Uses the Indonesian locale, for example.","ref":"NeoFaker.App.html#description/1-options"},{"type":"function","title":"Examples - NeoFaker.App.description/1","doc":"iex> NeoFaker.App.description()\n    \"Elixir library for generating fake data in tests and development.\"\n\n    iex> NeoFaker.App.description(locale: :id_id)\n    \"Pustaka Elixir untuk menghasilkan data palsu dalam pengujian dan pengembangan.\"","ref":"NeoFaker.App.html#description/1-examples"},{"type":"function","title":"NeoFaker.App.license/0","doc":"Generates a random open-source license.\n\nThe license is randomly selected from a predefined list based on\n[ChooseALicense](https://choosealicense.com/appendix).","ref":"NeoFaker.App.html#license/0"},{"type":"function","title":"Examples - NeoFaker.App.license/0","doc":"iex> NeoFaker.App.license()\n    \"MIT License\"","ref":"NeoFaker.App.html#license/0-examples"},{"type":"function","title":"NeoFaker.App.name/1","doc":"Generates a random app name.\n\nBy default, the app name follows a standard format. You can specify a different case style\nusing the `:style` option.","ref":"NeoFaker.App.html#name/1"},{"type":"function","title":"Options - NeoFaker.App.name/1","doc":"The accepted options are:\n\n- `:style` - Defines the case style of the app name.\n- `:locale` - Specifies the locale to use.\n\nThe values for `:style` can be:\n\n- `nil` (default) - Uses the standard format, e.g., `\"Neo Faker\"`.\n- `:camel_case` - Uses camel case, e.g., `\"neoFaker\"`.\n- `:pascal_case` - Uses Pascal case, e.g., `\"NeoFaker\"`.\n- `:dashed` - Uses a dashed format, e.g., `\"Neo-faker\"`.\n- `:underscore` - Uses an underscore format, e.g., `\"neo_faker\"`.\n- `:single` - Uses a single-word format, e.g., `\"Faker\"`.\n\nThe values for `:locale` can be:\n\n- `nil` - Uses the default locale `:default`.\n- `:id_id` - Uses the Indonesian locale, for example.","ref":"NeoFaker.App.html#name/1-options"},{"type":"function","title":"Examples - NeoFaker.App.name/1","doc":"iex> NeoFaker.App.name()\n    \"Neo Faker\"\n\n    iex> NeoFaker.App.name(style: :camel_case)\n    \"neoFaker\"\n\n    iex> NeoFaker.App.name(locale: \"id_id\")\n    \"Garuda Web\"","ref":"NeoFaker.App.html#name/1-examples"},{"type":"function","title":"NeoFaker.App.semver/1","doc":"Returns a semantic version number.\n\nThe generated version number follows the Semantic Versioning (SemVer) standard. By default, it\ngenerates a core version (`MAJOR.MINOR.PATCH`). Additional versioning details can be specified\nusing the `:type` option.","ref":"NeoFaker.App.html#semver/1"},{"type":"function","title":"Options - NeoFaker.App.semver/1","doc":"The accepted options are:\n\n- `:type` - Specifies the type of version format.\n\nThe values for `:type` can be:\n\n- `nil` (default) - Uses core SemVer format, e.g., `\"1.2.3\"`.\n- `:pre_release` - Includes a pre-release label, e.g., `\"1.2.3-beta.1\"`.\n- `:build` - Includes a build metadata label, e.g., `\"1.2.3+20250325\"`.\n- `:pre_release_build` - Includes both pre-release and build metadata, e.g.,\n  `\"1.2.3-rc.1+20250325\"`.","ref":"NeoFaker.App.html#semver/1-options"},{"type":"function","title":"Examples - NeoFaker.App.semver/1","doc":"iex> NeoFaker.App.semver()\n    \"1.2.3\"\n\n    iex> NeoFaker.App.semver(:pre_release)\n    \"1.2.3-beta.1\"","ref":"NeoFaker.App.html#semver/1-examples"},{"type":"function","title":"NeoFaker.App.version/0","doc":"Returns a simple version number.\n\nThis version format follows `MAJOR.MINOR`.","ref":"NeoFaker.App.html#version/0"},{"type":"function","title":"Examples - NeoFaker.App.version/0","doc":"iex> NeoFaker.App.version()\n    \"1.2\"","ref":"NeoFaker.App.html#version/0-examples"},{"type":"module","title":"NeoFaker.Blood","doc":"Functions for generating blood types.\n\nThis module provides utilities to generate random blood groups, blood types, and Rh factors.","ref":"NeoFaker.Blood.html"},{"type":"function","title":"NeoFaker.Blood.group/0","doc":"Generates a random blood group.\n\nA blood group consists of a blood type (`A`, `B`, `AB`, or `O`) combined with an Rh factor\n(`+` or `-`), forming a complete blood group.","ref":"NeoFaker.Blood.html#group/0"},{"type":"function","title":"Examples - NeoFaker.Blood.group/0","doc":"iex> NeoFaker.Blood.group()\n    \"B+\"","ref":"NeoFaker.Blood.html#group/0-examples"},{"type":"function","title":"NeoFaker.Blood.rh_factor/0","doc":"Generates a random Rh factor.\n\nThe Rh factor is either `+` (positive) or `-` (negative).","ref":"NeoFaker.Blood.html#rh_factor/0"},{"type":"function","title":"Examples - NeoFaker.Blood.rh_factor/0","doc":"iex> NeoFaker.Blood.rh_factor()\n    \"+\"","ref":"NeoFaker.Blood.html#rh_factor/0-examples"},{"type":"function","title":"NeoFaker.Blood.type/0","doc":"Generates a random blood type.\n\nA blood type is one of `A`, `B`, `AB`, or `O`, without the Rh factor.","ref":"NeoFaker.Blood.html#type/0"},{"type":"function","title":"Examples - NeoFaker.Blood.type/0","doc":"iex> NeoFaker.Blood.type()\n    \"B\"","ref":"NeoFaker.Blood.html#type/0-examples"},{"type":"module","title":"NeoFaker.Boolean","doc":"Functions for generating boolean values.\n\nThis module provides utilities to generate random boolean values with configurable\nprobabilities, allowing for controlled randomness.","ref":"NeoFaker.Boolean.html"},{"type":"function","title":"NeoFaker.Boolean.boolean/2","doc":"Generates a random boolean value.\n\nBy default, this function returns `true` or `false` with equal probability (50% each).\nAn optional `true_ratio` argument can be provided to adjust the probability of returning `true`.\n\nIf the `integer: true` option is set, the function returns `1` for `true` and `0` for `false`.","ref":"NeoFaker.Boolean.html#boolean/2"},{"type":"function","title":"Examples - NeoFaker.Boolean.boolean/2","doc":"iex> NeoFaker.Boolean.boolean()\n    false\n\n    iex> NeoFaker.Boolean.boolean(75)\n    true\n\n    iex> NeoFaker.Boolean.boolean(75, integer: true)\n    1","ref":"NeoFaker.Boolean.html#boolean/2-examples"},{"type":"module","title":"NeoFaker.Color","doc":"Functions for generating random colors.\n\nThis module provides utilities to generate random colors in various formats.","ref":"NeoFaker.Color.html"},{"type":"function","title":"NeoFaker.Color.cmyk/1","doc":"Generates a CMYK color.\n\nReturns a CMYK color. If no options are provided, the color is returned in tuple format.","ref":"NeoFaker.Color.html#cmyk/1"},{"type":"function","title":"Options - NeoFaker.Color.cmyk/1","doc":"- `:format` - Specifies the output format.\n\nThe values for `:format` can be:\n\n- `nil` - Returns the color in tuple format (default).\n- `:w3c` - Returns the color in W3C format.","ref":"NeoFaker.Color.html#cmyk/1-options"},{"type":"function","title":"Examples - NeoFaker.Color.cmyk/1","doc":"iex> NeoFaker.Color.cmyk()\n    {0, 25, 50, 100}\n\n    iex> NeoFaker.Color.cmyk(format: :w3c)\n    \"cmyk(0%, 25%, 50%, 100%)\"","ref":"NeoFaker.Color.html#cmyk/1-examples"},{"type":"function","title":"NeoFaker.Color.hex/1","doc":"Generates a HEX color.\n\nReturns a HEX color. If no options are provided, the color is returned in six-digit format.","ref":"NeoFaker.Color.html#hex/1"},{"type":"function","title":"Options - NeoFaker.Color.hex/1","doc":"- `:format` - Specifies the output format.\n\nThe values for `:format` can be:\n\n- `nil` - Returns the color in six-digit format (default).\n- `:three_digit` - Returns the color in three-digit format.\n- `:four_digit` - Returns the color in four-digit format.\n- `:eight_digit` - Returns the color in eight-digit format.","ref":"NeoFaker.Color.html#hex/1-options"},{"type":"function","title":"Examples - NeoFaker.Color.hex/1","doc":"iex> NeoFaker.Color.hex()\n    \"#613583\"\n\n    iex> NeoFaker.Color.hex(format: :three_digit)\n    \"#365\"","ref":"NeoFaker.Color.html#hex/1-examples"},{"type":"function","title":"NeoFaker.Color.hsl/1","doc":"Generates an HSL color.\n\nThis function behaves the same way as `cmyk/1`. See `cmyk/1` for more details.","ref":"NeoFaker.Color.html#hsl/1"},{"type":"function","title":"NeoFaker.Color.hsla/1","doc":"Generates an HSLA color.\n\nThis function behaves the same way as `cmyk/1`. See `cmyk/1` for more details.","ref":"NeoFaker.Color.html#hsla/1"},{"type":"function","title":"NeoFaker.Color.keyword/1","doc":"Generates a keyword color.\n\nReturns a keyword color. If no options are provided, all category colors are returned.","ref":"NeoFaker.Color.html#keyword/1"},{"type":"function","title":"Options - NeoFaker.Color.keyword/1","doc":"- `:category` - Specifies the category of keyword colors.\n- `:locale` - Specifies the locale to use.\n\nThe values for `:category` can be:\n\n- `nil` - Returns all keyword colors (default).\n- `:basic` - Returns basic keyword colors.\n- `:extended` - Returns extended keyword colors.\n\nThe values for `:locale` can be:\n\n- `nil` - Uses the default locale `:default`.\n- `:id_id` - Uses the Indonesian locale, for example.","ref":"NeoFaker.Color.html#keyword/1-options"},{"type":"function","title":"Examples - NeoFaker.Color.keyword/1","doc":"iex> NeoFaker.Color.keyword()\n    \"blueviolet\"\n\n    iex> NeoFaker.Color.keyword(category: :basic)\n    \"purple\"","ref":"NeoFaker.Color.html#keyword/1-examples"},{"type":"function","title":"NeoFaker.Color.rgb/1","doc":"Generates an RGB color.\n\nThis function behaves the same way as `cmyk/1`. See `cmyk/1` for more details.","ref":"NeoFaker.Color.html#rgb/1"},{"type":"function","title":"NeoFaker.Color.rgba/1","doc":"Generates an RGBA color.\n\nThis function behaves the same way as `cmyk/1`. See `cmyk/1` for more details.","ref":"NeoFaker.Color.html#rgba/1"},{"type":"module","title":"NeoFaker.Crypto","doc":"Functions for generating cryptographic hashes.\n\nThis module provides utilities to generate cryptographic hash values, such as MD5 and SHA-based\nhashes.","ref":"NeoFaker.Crypto.html"},{"type":"function","title":"NeoFaker.Crypto.md5/1","doc":"Generates a random MD5 hash.\n\nReturns a random MD5 hash string.","ref":"NeoFaker.Crypto.html#md5/1"},{"type":"function","title":"Options - NeoFaker.Crypto.md5/1","doc":"The accepted options are:\n\n- `:case` - Specifies the character case of the output.\n\nThe values for `:case` can be:\n\n- `:lower` - Uses lowercase characters (default).\n- `:upper` - Uses uppercase characters.","ref":"NeoFaker.Crypto.html#md5/1-options"},{"type":"function","title":"Examples - NeoFaker.Crypto.md5/1","doc":"iex> NeoFaker.Crypto.md5()\n    \"afc4c626c55e4166421d82732163857d\"\n\n    iex> NeoFaker.Crypto.md5(case: :upper)\n    \"AFC4C626C55E4166421D82732163857D\"","ref":"NeoFaker.Crypto.html#md5/1-examples"},{"type":"function","title":"NeoFaker.Crypto.sha1/1","doc":"Generates a random SHA-1 hash.\n\nThis function behaves the same way as `md5/1`. See `md5/1` for more details.","ref":"NeoFaker.Crypto.html#sha1/1"},{"type":"function","title":"NeoFaker.Crypto.sha256/1","doc":"Generates a random SHA-256 hash.\n\nThis function behaves the same way as `md5/1`. See `md5/1` for more details.","ref":"NeoFaker.Crypto.html#sha256/1"},{"type":"module","title":"NeoFaker.Date","doc":"Functions for generating random dates.\n\nThis module provides utilities to generate random dates, including dates within a specific\nrange, birthdays, and more.","ref":"NeoFaker.Date.html"},{"type":"function","title":"NeoFaker.Date.add/2","doc":"Generates a random date.\n\nReturns a date within the default range of 365 days before and 365 days after today.","ref":"NeoFaker.Date.html#add/2"},{"type":"function","title":"Options - NeoFaker.Date.add/2","doc":"- `:format` - Specifies the format of the date.\n\nThe values for `:format` can be:\n\n- `:sigil` - Returns the date in sigil `~D` format (default).\n- `:iso8601` - Returns the date in ISO 8601 format.","ref":"NeoFaker.Date.html#add/2-options"},{"type":"function","title":"Examples - NeoFaker.Date.add/2","doc":"iex> NeoFaker.Date.add()\n    ~D[2025-03-25]\n\n    iex> NeoFaker.Date.add(0..31)\n    ~D[2025-03-30]\n\n    iex> NeoFaker.Date.add(0..31, format: :iso8601)\n    \"2025-03-25\"","ref":"NeoFaker.Date.html#add/2-examples"},{"type":"function","title":"NeoFaker.Date.between/3","doc":"Generates a random date between two dates.\n\nReturns a date between the specified start and finish dates.","ref":"NeoFaker.Date.html#between/3"},{"type":"function","title":"Options - NeoFaker.Date.between/3","doc":"- `:format` - Specifies the format of the date.\n\nThe values for `:format` can be:\n\n- `:sigil` - Returns the date in sigil `~D` format (default).\n- `:iso8601` - Returns the date in ISO 8601 format.","ref":"NeoFaker.Date.html#between/3-options"},{"type":"function","title":"Examples - NeoFaker.Date.between/3","doc":"iex> NeoFaker.Date.between()\n    ~D[2025-03-25]\n\n    iex> NeoFaker.Date.between(~D[2020-01-01], ~D[2025-01-01])\n    ~D[2022-08-17]\n\n    iex> NeoFaker.Date.between(~D[2025-03-25], ~D[2025-03-25], format: :iso8601)\n    \"2025-03-25\"","ref":"NeoFaker.Date.html#between/3-examples"},{"type":"function","title":"NeoFaker.Date.birthday/3","doc":"Generates a random birthday.\n\nReturns a birthday within the specified age range.","ref":"NeoFaker.Date.html#birthday/3"},{"type":"function","title":"Options - NeoFaker.Date.birthday/3","doc":"- `:format` - Specifies the format of the date.\n\nThe values for `:format` can be:\n\n- `:sigil` - Returns the date in sigil `~D` format (default).\n- `:iso8601` - Returns the date in ISO 8601 format.","ref":"NeoFaker.Date.html#birthday/3-options"},{"type":"function","title":"Examples - NeoFaker.Date.birthday/3","doc":"iex> NeoFaker.Date.birthday()\n    ~D[1997-01-02]\n\n    iex> NeoFaker.Date.birthday(18, 65)\n    ~D[1998-03-04]\n\n    iex> NeoFaker.Date.birthday(18, 65, format: :iso8601)\n    \"1999-05-06\"","ref":"NeoFaker.Date.html#birthday/3-examples"},{"type":"module","title":"NeoFaker.Gravatar","doc":"Functions for generating random Gravatar URLs.\n\nThis module is based on the\n[Gravatar API documentation](https://docs.gravatar.com/api/avatars/images).","ref":"NeoFaker.Gravatar.html"},{"type":"function","title":"NeoFaker.Gravatar.display/2","doc":"Generates a Gravatar URL from an email address.\n\nThe generated URL includes query parameters for image size and fallback options.\nIf no email address is provided, a random one is used.","ref":"NeoFaker.Gravatar.html#display/2"},{"type":"function","title":"Options - NeoFaker.Gravatar.display/2","doc":"The accepted options are:\n\n- `:size` - Defines the image size.\n- `:fallback` - Specifies the default fallback image.\n\nThe values for `:size` can be:\n\n- `nil` - Uses `80px` (default).\n- `1` - `2048` - The image size in pixels (valid range: `1` to `2048`).\n\nThe values for `:fallback` can be:\n\n- `nil` - Generates an \"identicon\" image (default).\n- `:identicon` - Generates an \"identicon\" image.\n- `:monsterid` - Generates a \"monsterid\" image.\n- `:wavatar` - Generates a \"wavatar\" image.\n- `:robohash` - Generates a \"robohash\" image.","ref":"NeoFaker.Gravatar.html#display/2-options"},{"type":"function","title":"Examples - NeoFaker.Gravatar.display/2","doc":"iex> NeoFaker.Gravatar.display()\n    \"https://gravatar.com/avatar/ ?d=identicon&s=80\"\n\n    iex> NeoFaker.Gravatar.display(\"john.doe@example.com\")\n    \"https://gravatar.com/avatar/ ?d=identicon&s=80\"\n\n    iex> NeoFaker.Gravatar.display(\"john.doe@example.com\", size: 100)\n    \"https://gravatar.com/avatar/ ?d=identicon&s=100\"\n\n    iex> NeoFaker.Gravatar.display(\"john.doe@example.com\", fallback: :monsterid)\n    \"https://gravatar.com/avatar/ ?d=monsterid&s=80\"","ref":"NeoFaker.Gravatar.html#display/2-examples"},{"type":"type","title":"NeoFaker.Gravatar.email/0","doc":"Email address.","ref":"NeoFaker.Gravatar.html#t:email/0"},{"type":"module","title":"NeoFaker.Internet","doc":"Functions for generating internet-related information.\n\nThis module provides utilities to generate random internet-related information, such as email\naddresses, URLs, and user agents.","ref":"NeoFaker.Internet.html"},{"type":"function","title":"NeoFaker.Internet.user_agent/0","doc":"Generates a random user agent.\n\nReturns a random user agent string.","ref":"NeoFaker.Internet.html#user_agent/0"},{"type":"function","title":"Examples - NeoFaker.Internet.user_agent/0","doc":"iex> NeoFaker.Internet.user_agent()\n    \"Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:72.0) Gecko/20100101 Firefox/72.0\"","ref":"NeoFaker.Internet.html#user_agent/0-examples"},{"type":"module","title":"NeoFaker.Lorem","doc":"Functions for generating random text using a Lorem Ipsum generator.\n\nThis module provides utilities to generate random text, such as paragraphs, sentences, and\nwords.","ref":"NeoFaker.Lorem.html"},{"type":"function","title":"NeoFaker.Lorem.paragraph/1","doc":"Generates a random paragraph.\n\nReturns a random Lorem Ipsum paragraph. If an option is provided, the paragraph is sourced from\na specific text.","ref":"NeoFaker.Lorem.html#paragraph/1"},{"type":"function","title":"Options - NeoFaker.Lorem.paragraph/1","doc":"The accepted options are:\n\n- `:type` - Specifies the text source.\n- `:locale` - Specifies the locale to use.\n\nValues for option `:type` can be:\n\n- `:meditations` - A meditation text by Marcus Aurelius.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `:default`.\n- `:id_id` - Uses the Indonesian locale, for example.","ref":"NeoFaker.Lorem.html#paragraph/1-options"},{"type":"function","title":"Examples - NeoFaker.Lorem.paragraph/1","doc":"iex> NeoFaker.Lorem.paragraph()\n    \"Suspendisse ac justo venenatis, tincidunt sapien nec, accumsan augue. Vestibulum urna\n    risus, egestas ut ultrices non, aliquet eget massa. Mauris id diam eget augue sagittis\n    convallis sit amet nec diam. Morbi ut blandit est, et placerat neque.\"\n\n    iex> NeoFaker.Lorem.paragraph(type: :meditations)\n    \"Do the things external which fall upon thee distract thee? Give thyself time to learn\n    something new and good, and cease to be whirled around. But then thou must also avoid being\n    carried about the other way. For those too are triflers who have wearied themselves in life\n    by their activity, and yet have no object to which to direct every movement, and, in a word,\n    all their thoughts.\"","ref":"NeoFaker.Lorem.html#paragraph/1-examples"},{"type":"function","title":"NeoFaker.Lorem.sentence/1","doc":"Generates a random sentence.\n\nThis function behaves the same way as `paragraph/1`. See `paragraph/1` for more details.","ref":"NeoFaker.Lorem.html#sentence/1"},{"type":"function","title":"NeoFaker.Lorem.word/1","doc":"Generates a random word.\n\nThis function behaves the same way as `sentence/1`. See `sentence/1` for more details.","ref":"NeoFaker.Lorem.html#word/1"},{"type":"module","title":"NeoFaker.Number","doc":"Functions for generating random numbers.\n\nThis module provides utilities to generate random numbers, including values within a specified\nrange.","ref":"NeoFaker.Number.html"},{"type":"function","title":"NeoFaker.Number.between/2","doc":"Generates a random number between `min` and `max`.\n\nIf both arguments are integers, the result is a random integer within the range. If they are\nfloats, a random float within the range is returned.","ref":"NeoFaker.Number.html#between/2"},{"type":"function","title":"Examples - NeoFaker.Number.between/2","doc":"iex> NeoFaker.Number.between()\n    27\n\n    iex> NeoFaker.Number.between(1, 100)\n    28\n\n    iex> NeoFaker.Number.between(1.0, 100.0)\n    29.481745280074264","ref":"NeoFaker.Number.html#between/2-examples"},{"type":"function","title":"NeoFaker.Number.digit/0","doc":"Generates a random digit between `0` and `9`.","ref":"NeoFaker.Number.html#digit/0"},{"type":"function","title":"Examples - NeoFaker.Number.digit/0","doc":"iex> NeoFaker.Number.digit()\n    5","ref":"NeoFaker.Number.html#digit/0-examples"},{"type":"function","title":"NeoFaker.Number.float/2","doc":"Generates a random floating-point number within the given range.\n\nThe integer part is selected from `left_digit`, and the fractional part from `right_digit`.\nBoth arguments are ranges, and the function returns a float by combining a random value from\neach.","ref":"NeoFaker.Number.html#float/2"},{"type":"function","title":"Examples - NeoFaker.Number.float/2","doc":"iex> NeoFaker.Number.float()\n    30.94372\n\n    iex> NeoFaker.Number.float(1..9, 10..90)\n    1.44","ref":"NeoFaker.Number.html#float/2-examples"},{"type":"module","title":"NeoFaker.Person","doc":"Functions for generating person-related information.\n\nThis module provides utilities to generate random personal details, such as names, ages, and\ngenders.","ref":"NeoFaker.Person.html"},{"type":"function","title":"NeoFaker.Person.age/2","doc":"Generates a random age.\n\nThe age is a non-negative integer between `0` and `120` by default.","ref":"NeoFaker.Person.html#age/2"},{"type":"function","title":"Examples - NeoFaker.Person.age/2","doc":"iex> NeoFaker.Person.age()\n    44\n\n    iex> NeoFaker.Person.age(7, 44)\n    27","ref":"NeoFaker.Person.html#age/2-examples"},{"type":"function","title":"NeoFaker.Person.binary_gender/1","doc":"Generates a random binary gender.\n\nReturns either `\"Male\"` or `\"Female\"`.","ref":"NeoFaker.Person.html#binary_gender/1"},{"type":"function","title":"Examples - NeoFaker.Person.binary_gender/1","doc":"iex> NeoFaker.Person.binary_gender()\n    \"Male\"","ref":"NeoFaker.Person.html#binary_gender/1-examples"},{"type":"function","title":"NeoFaker.Person.first_name/1","doc":"Generates a random first name.\n\nIf no options are provided, it returns a random unisex first name.","ref":"NeoFaker.Person.html#first_name/1"},{"type":"function","title":"Options - NeoFaker.Person.first_name/1","doc":"The accepted options are:\n\n- `:sex` - Specifies the sex of the generated name.\n- `:locale` - Specifies the locale to use.\n\nValues for option `:sex` can be:\n\n- `nil` - Generates a random unisex name (default).\n- `:female` - Generates a random female name.\n- `:male` - Generates a random male name.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `:default`.\n- `:id_id` - Uses the Indonesian locale, for example.","ref":"NeoFaker.Person.html#first_name/1-options"},{"type":"function","title":"Examples - NeoFaker.Person.first_name/1","doc":"iex> NeoFaker.Person.first_name()\n    \"Julia\"\n\n    iex> NeoFaker.Person.first_name(sex: :male)\n    \"José\"\n\n    iex> NeoFaker.Person.first_name(locale: :id_id)\n    \"Jaka\"","ref":"NeoFaker.Person.html#first_name/1-examples"},{"type":"function","title":"NeoFaker.Person.full_name/1","doc":"Generates a random full name.\n\nIf no options are provided, it returns a default random unisex full name.","ref":"NeoFaker.Person.html#full_name/1"},{"type":"function","title":"Options - NeoFaker.Person.full_name/1","doc":"The accepted options are:\n\n- `:locale` - Specifies the locale to use.\n- `:sex` - Specifies the sex of the generated name.\n- `:middle_name` - Determines whether to include a middle name in the full name.\n\nValues for option `:locale` can be:\n\n- `nil` - Uses the default locale `:default`.\n- `:id_id` - Uses the Indonesian locale, for example.\n\nValues for option `:sex` can be:\n\n- `nil` - Generates a random unisex name (default).\n- `:male` - Generates a random male name.\n- `:female` - Generates a random female name.\n\nValues for option `:middle_name` can be:\n\n- `true` - Includes a random middle name (default).\n- `false` - Excludes the middle name.","ref":"NeoFaker.Person.html#full_name/1-options"},{"type":"function","title":"Examples - NeoFaker.Person.full_name/1","doc":"iex> NeoFaker.Person.full_name()\n    \"Abigail Bethany Crawford\"\n\n    iex> NeoFaker.Person.full_name(sex: :male)\n    \"Daniel Edward Fisher\"\n\n    iex> NeoFaker.Person.full_name(middle_name: false)\n    \"Gabriella Harrison\"","ref":"NeoFaker.Person.html#full_name/1-examples"},{"type":"function","title":"NeoFaker.Person.last_name/1","doc":"Generates a random last name.\n\nThis function behaves the same way as `first_name/1`. See `first_name/1` for more details.","ref":"NeoFaker.Person.html#last_name/1"},{"type":"function","title":"NeoFaker.Person.middle_name/1","doc":"Generates a random middle name.\n\nThis function behaves the same way as `first_name/1`. See `first_name/1` for more details.","ref":"NeoFaker.Person.html#middle_name/1"},{"type":"function","title":"NeoFaker.Person.non_binary_gender/1","doc":"Generates a random non-binary gender.\n\nReturns a non-binary gender, such as `\"Agender\"`, `\"Androgyne\"`, `\"Bigender\"`, etc.","ref":"NeoFaker.Person.html#non_binary_gender/1"},{"type":"function","title":"Examples - NeoFaker.Person.non_binary_gender/1","doc":"iex> NeoFaker.Person.non_binary_gender()\n    \"Agender\"","ref":"NeoFaker.Person.html#non_binary_gender/1-examples"},{"type":"function","title":"NeoFaker.Person.prefix/1","doc":"Generates a random name prefix.","ref":"NeoFaker.Person.html#prefix/1"},{"type":"function","title":"Examples - NeoFaker.Person.prefix/1","doc":"iex> NeoFaker.Person.prefix()\n    \"Mr.\"","ref":"NeoFaker.Person.html#prefix/1-examples"},{"type":"function","title":"NeoFaker.Person.short_binary_gender/1","doc":"Generates a random short binary gender.\n\nReturns either `\"M\"` or `\"F\"`.","ref":"NeoFaker.Person.html#short_binary_gender/1"},{"type":"function","title":"Examples - NeoFaker.Person.short_binary_gender/1","doc":"iex> NeoFaker.Person.short_binary_gender()\n    \"F\"","ref":"NeoFaker.Person.html#short_binary_gender/1-examples"},{"type":"function","title":"NeoFaker.Person.suffix/1","doc":"Generates a random name suffix.","ref":"NeoFaker.Person.html#suffix/1"},{"type":"function","title":"Examples - NeoFaker.Person.suffix/1","doc":"iex> NeoFaker.Person.suffix()\n    \"IV\"","ref":"NeoFaker.Person.html#suffix/1-examples"},{"type":"module","title":"NeoFaker.Text","doc":"Functions for generating text.\n\nThis module provides utilities to generate random text, including alphanumeric characters and\nemojis.","ref":"NeoFaker.Text.html"},{"type":"function","title":"NeoFaker.Text.character/1","doc":"Generates a single random character.\n\nReturns a single alphanumeric character.","ref":"NeoFaker.Text.html#character/1"},{"type":"function","title":"Options - NeoFaker.Text.character/1","doc":"The accepted options are:\n\n- `:type` - Specifies the type of character to generate.\n\nThe values for `:type` can be:\n\n- `:alphabet_lower` - A lowercase letter.\n- `:alphabet_upper` - An uppercase letter.\n- `:alphabet` - A letter (either lowercase or uppercase).\n- `:digit` - A digit (`0`-`9`).","ref":"NeoFaker.Text.html#character/1-options"},{"type":"function","title":"Examples - NeoFaker.Text.character/1","doc":"iex> NeoFaker.Text.character()\n    \"a\"\n\n    iex> NeoFaker.Text.character(type: :digit)\n    \"0\"","ref":"NeoFaker.Text.html#character/1-examples"},{"type":"function","title":"NeoFaker.Text.characters/2","doc":"Generates a string of random characters.\n\nReturns a string of the specified length containing randomly selected characters.","ref":"NeoFaker.Text.html#characters/2"},{"type":"function","title":"Options - NeoFaker.Text.characters/2","doc":"See `character/1` for available options.","ref":"NeoFaker.Text.html#characters/2-options"},{"type":"function","title":"Examples - NeoFaker.Text.characters/2","doc":"iex> NeoFaker.Text.characters()\n    \"XfELJU1mRMg\"\n\n    iex> NeoFaker.Text.characters(20, type: :alphabet_upper)\n    \"BVAJHRGSCEVJFNYSWCJE\"","ref":"NeoFaker.Text.html#characters/2-examples"},{"type":"function","title":"NeoFaker.Text.emoji/1","doc":"Generates a random emoji.\n\nReturns a random emoji from any category if no category is specified; otherwise, it selects one\nfrom the specified category.","ref":"NeoFaker.Text.html#emoji/1"},{"type":"function","title":"Options - NeoFaker.Text.emoji/1","doc":"The accepted options are:\n\n- `:category` - Specifies the category from which to generate an emoji.\n\nThe values for `:category` can be:\n\n- `:activities` - An emoji related to activities.\n- `:animals_and_nature` - An emoji related to animals and nature.\n- `:food_and_drink` - An emoji related to food and drink.\n- `:objects` - An emoji related to objects.\n- `:people_and_body` - An emoji related to people and body.\n- `:smileys_and_emotion` - An emoji related to smileys and emotion.\n- `:symbols` - An emoji related to symbols.\n- `:travel_and_places` - An emoji related to travel and places.","ref":"NeoFaker.Text.html#emoji/1-options"},{"type":"function","title":"Examples - NeoFaker.Text.emoji/1","doc":"iex> NeoFaker.Text.emoji()\n    \"✨\"\n\n    iex> NeoFaker.Text.emoji(category: :activities)\n    \"🎉\"","ref":"NeoFaker.Text.html#emoji/1-examples"},{"type":"function","title":"NeoFaker.Text.word/0","doc":"Generates a random word.\n\nReturns a random word from common word lists.","ref":"NeoFaker.Text.html#word/0"},{"type":"function","title":"Examples - NeoFaker.Text.word/0","doc":"iex> NeoFaker.Text.word()\n    \"computer\"","ref":"NeoFaker.Text.html#word/0-examples"},{"type":"module","title":"NeoFaker.Time","doc":"Functions for generating random times.\n\nThis module provides utilities to generate random times, including times within a specific\nrange and more.","ref":"NeoFaker.Time.html"},{"type":"function","title":"NeoFaker.Time.add/2","doc":"Generates a random time.\n\nReturns a time within the default range of 24 hours before and 24 hours after the current time.","ref":"NeoFaker.Time.html#add/2"},{"type":"function","title":"Options - NeoFaker.Time.add/2","doc":"- `:unit` - Specifies the unit of time range.\n- `:format` - Specifies the format of the date.\n\nThe values for `:unit` can be:\n\n- `:hour` - Returns the time in hours (default).\n- `:minute` - Returns the time in minutes.\n- `:second` - Returns the time in seconds.\n\nThe values for `:format` can be:\n\n- `:sigil` - Returns the time in sigil `~T` format (default).\n- `:iso8601` - Returns the time in ISO 8601 format.","ref":"NeoFaker.Time.html#add/2-options"},{"type":"function","title":"Examples - NeoFaker.Time.add/2","doc":"iex> NeoFaker.Time.add()\n    ~T[15:22:10]\n\n    iex> NeoFaker.Time.add(-2..2, unit: :minute)\n    ~T[07:23:10]\n\n    iex> NeoFaker.Time.add(0..10, format: :iso8601)\n    \"15:22:10\"","ref":"NeoFaker.Time.html#add/2-examples"},{"type":"function","title":"NeoFaker.Time.between/3","doc":"Generates a random time between two times.\n\nReturns a random time between the specified start and finish times.","ref":"NeoFaker.Time.html#between/3"},{"type":"function","title":"Options - NeoFaker.Time.between/3","doc":"- `:format` - Specifies the format of the time.\n\nThe values for `:format` can be:\n\n- `:sigil` - Returns the time in sigil `~T` format (default).\n- `:iso8601` - Returns the time in ISO 8601 format.","ref":"NeoFaker.Time.html#between/3-options"},{"type":"function","title":"Examples - NeoFaker.Time.between/3","doc":"iex> NeoFaker.Time.between()\n    ~T[15:22:10]\n\n    iex> NeoFaker.Time.between(~T[00:00:00], ~T[23:59:59])\n    ~T[19:30:11]\n\n    iex> NeoFaker.Time.between(~T[00:00:00], ~T[23:59:59], format: :iso8601)\n    \"15:22:10\"","ref":"NeoFaker.Time.html#between/3-examples"},{"type":"extras","title":"Available Locales","doc":"# Available Locales\n\nNeoFaker supports the following locales. You can change the default locale in\n[`config.exs`](getting-started.html#configuration):\n\n| Locale     | Country        | Language                                      |\n| ---------- | -------------- | --------------------------------------------- |\n| `:default` | 🌐 N/A         | English (US), but not specific to any country |\n| `:id_id`   | 🇮🇩 Indonesia   | Bahasa Indonesia                              |","ref":"available-locales.html"},{"type":"extras","title":"Changelog for v0.10","doc":"# Changelog for v0.10","ref":"changelog.html"},{"type":"extras","title":"v0.10.0 (2025-04-11) - Changelog for v0.10","doc":"","ref":"changelog.html#v0-10-0-2025-04-11"},{"type":"extras","title":"New Generators - Changelog for v0.10","doc":"This release introduces several new generators.\n\n#### `NeoFaker.Date.birthday/3`\n\nGenerates a random birthday within a specified age range.\n\n#### `NeoFaker.Internet.user_agent/0`\n\nGenerates a random user agent string.\n\n#### `NeoFaker.Time`\n\n- `NeoFaker.Time.add/2` - Adds a random amount of time within a specified range.\n- `NeoFaker.Time.between/3` - Generates a random time between two specified times.","ref":"changelog.html#new-generators"},{"type":"extras","title":"Fixes - Changelog for v0.10","doc":"`NeoFaker.Person.full_name/1` now returns a correctly gendered full name instead of a randomly\nmixed one.","ref":"changelog.html#fixes"},{"type":"extras","title":"Getting Started","doc":"# Getting Started\n\n![Hex.pm Version](https://img.shields.io/hexpm/v/neo_faker) ![Hex.pm Downloads](https://img.shields.io/hexpm/dt/neo_faker) [![Elixir CI](https://github.com/muzhawir/neo_faker/actions/workflows/build.yml/badge.svg)](https://github.com/muzhawir/neo_faker/actions/workflows/build.yml)\n\n**NeoFaker** is an Elixir library that generates fake data for testing and development.","ref":"getting-started.html"},{"type":"extras","title":"Requirements - Getting Started","doc":"NeoFaker requires `Erlang 27.0` and `Elixir 1.18.0-otp-27` or later.","ref":"getting-started.html#requirements"},{"type":"extras","title":"Installation - Getting Started","doc":"Add NeoFaker to your dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:neo_faker, \"~> 0.10.0\", only: [:dev, :test]}\n  ]\nend\n```\n\nThen, fetch the dependencies:\n\n```sh\nmix deps.get\n```","ref":"getting-started.html#installation"},{"type":"extras","title":"Configuration - Getting Started","doc":"Set the default locale in `config.exs`:\n\n```elixir\nconfig :neo_faker, locale: :default\n```\n\n>","ref":"getting-started.html#configuration"},{"type":"extras","title":"Setting Configuration in Phoenix {: .tip} - Getting Started","doc":">\n> In [Phoenix Framework](https://hexdocs.pm/phoenix), set the locale in `config/dev.exs` or\n> `config/test.exs`.\n>\n> Then add `NeoFaker.start()` to `test/test_helper.exs`:\n>\n> ```elixir\n> ExUnit.start()\n> NeoFaker.start() # Add this line\n> ```\n\nIf the specified locale is unavailable, it will fall back to `:default`.\nYou can find the list of available locales on the [Available Locales](https://hexdocs.pm/neo_faker/available-locales.html) page.","ref":"getting-started.html#setting-configuration-in-phoenix-tip"},{"type":"extras","title":"Usage - Getting Started","doc":"Generate fake data using NeoFaker:\n\n```elixir\niex> NeoFaker.App.name()\n\"Neo Faker\"\n\niex> NeoFaker.App.description()\n\"An Elixir library for generating fake data in tests and development.\"\n\niex> NeoFaker.App.description(locale: :id_id)\n\"Pustaka Elixir untuk menghasilkan data palsu dalam pengujian dan pengembangan.\"\n```\n\nFor complete documentation, visit the [API Reference](https://hexdocs.pm/neo_faker/api-reference.html).\nFor a quick overview, check out the [Cheat Sheet](https://hexdocs.pm/neo_faker/cheat.html).","ref":"getting-started.html#usage"},{"type":"extras","title":"License - Getting Started","doc":"NeoFaker is licensed under the [MIT License](https://github.com/muzhawir/neo_faker/blob/main/LICENSE.md).","ref":"getting-started.html#license"},{"type":"extras","title":"Cheat Sheet","doc":"# Cheat Sheet\n\nA quick reference for the most commonly used random data generator functions.\n\n## [App](`NeoFaker.App`)\n\n{: .col-2}\n\n### [`author(opts \\\\ [])`](`NeoFaker.App.author/1`)\n\n```elixir\niex> NeoFaker.App.author()\n\"José Valim\"\n```\n\n### [`description(opts \\\\ [])`](`NeoFaker.App.description/1`)\n\n```elixir\niex> NeoFaker.App.description()\n\"Elixir library for generating fake data in tests and development.\"\n```\n\n### [`license()`](`NeoFaker.App.license/0`)\n\n```elixir\niex> NeoFaker.App.license()\n\"MIT License\"\n```\n\n### [`name(opts \\\\ [])`](`NeoFaker.App.name/1`)\n\n```elixir\niex> NeoFaker.App.name()\n\"Neo Faker\"\n\niex> NeoFaker.App.name(style: :camel_case)\n\"neoFaker\"\n```\n\n### [`semver(opts \\\\ [])`](`NeoFaker.App.semver/1`)\n\n```elixir\niex> NeoFaker.App.semver()\n\"1.2.3\"\n\niex> NeoFaker.App.semver(type: :pre_release)\n\"1.2.3-beta.1\"\n```\n\n### [`version()`](`NeoFaker.App.version/0`)\n\n```elixir\niex> NeoFaker.App.version()\n\"1.2\"\n```\n\n## [Blood](`NeoFaker.Blood`)\n\n{: .col-2}\n\n### [`group()`](`NeoFaker.Blood.group/0`)\n\n```elixir\niex> NeoFaker.Blood.group()\n\"B+\"\n```\n\n### [`type()`](`NeoFaker.Blood.type/0`)\n\n```elixir\niex> NeoFaker.Blood.type()\n\"B\"\n```\n\n## [Boolean](`NeoFaker.Boolean`)\n\n{: .col-1}\n\n### [`boolean(true_ratio \\\\ 50, opts \\\\ [])`](`NeoFaker.Boolean.boolean/2`)\n\n```elixir\niex> NeoFaker.Boolean.boolean()\nfalse\n\niex> NeoFaker.Boolean.boolean(75)\ntrue\n\niex> NeoFaker.Boolean.boolean(75, integer: true)\n1\n```\n\n## [Color](`NeoFaker.Color`)\n\n{: .col-2}\n\n### [`cmyk(opts \\\\ [])`](`NeoFaker.Color.cmyk/1`)\n\n```elixir\niex> NeoFaker.Color.cmyk()\n{0, 25, 50, 100}\n\niex> NeoFaker.Color.cmyk(format: :w3c)\n\"cmyk(0%, 25%, 50%, 100%)\"\n```\n\n`NeoFaker.Color.hsl/1`, `NeoFaker.Color.hsla/1`, `NeoFaker.Color.rgb/1` and\n`NeoFaker.Color.rgba/1` behave the same way as `NeoFaker.Color.cmyk/1`.\n\n### [`hex(opts \\\\ [])`](`NeoFaker.Color.hex/1`)\n\n```elixir\niex> NeoFaker.Color.hex()\n\"#613583\"\n\niex> NeoFaker.Color.hex(format: :three_digit)\n\"#365\"\n```\n\n### [`keyword(opts \\\\ [])`](`NeoFaker.Color.keyword/1`)\n\n```elixir\niex> NeoFaker.Color.keyword()\n\"blueviolet\"\n\niex> NeoFaker.Color.keyword(category: :basic)\n\"purple\"\n```\n\n## [Crypto](`NeoFaker.Crypto`)\n\n{: .col-1}\n\n### [`md5(opts \\\\ [])`](`NeoFaker.Crypto.md5/1`)\n\n```elixir\niex> NeoFaker.Crypto.md5()\n\"e35cb102765cfc56df21ba4c16e6a636\"\n\niex> NeoFaker.Crypto.md5(case: :upper)\n\"E35CB102765CFC56DF21BA4C16E6A636\"\n```\n\n`NeoFaker.Crypto.sha1/1` and `NeoFaker.Crypto.sha256/1` behave the same way as\n`NeoFaker.Crypto.md5/1`.\n\n## [Date](`NeoFaker.Date`)\n\n{: .col-2}\n\n### [`add(range \\\\ -365..365, opts \\\\ [])`](`NeoFaker.Date.add/2`)\n\n```elixir\niex> NeoFaker.Date.add()\n~D[2025-03-25]\n\niex> NeoFaker.Date.add(0..31, format: :iso8601)\n\"2025-03-25\"\n```\n\n### [`between(start \\\\ ~D[1970-01-01], finish \\\\ Date.utc_today(), opts \\\\ [])`](`NeoFaker.Date.between/3`)\n\n```elixir\niex> NeoFaker.Date.between()\n~D[2025-03-25]\n\niex> NeoFaker.Date.between(~D[2025-03-25], ~D[2025-03-25], format: :iso8601)\n\"2025-03-25\"\n```\n\n### [`birthday(min_age \\\\ 18, max_age \\\\ 65, opts \\\\ [])`](`NeoFaker.Date.birthday/3`)\n\n```elixir\niex> NeoFaker.Date.birthday()\n~D[1997-01-02]\n\niex> NeoFaker.Date.birthday(18, 65, format: :iso8601)\n\"1999-05-06\"\n```\n\n## [Gravatar](`NeoFaker.Gravatar`)\n\n{: .col-1}\n\n### [`display(email \\\\ nil, opts \\\\ [])`](`NeoFaker.Gravatar.display/2`)\n\n```elixir\niex> NeoFaker.Gravatar.display()\n\"https://gravatar.com/avatar/ ?d=identicon&s=80\"\n\niex> NeoFaker.Gravatar.display(\"john.doe@example.com\", fallback: :monsterid)\n\"https://gravatar.com/avatar/ ?d=monsterid&s=80\"\n```\n\n## [Internet](`NeoFaker.Internet`)\n\n{: .col-1}\n\n### [`user_agent()`](`NeoFaker.Internet.user_agent/0`)\n\n```elixir\niex> NeoFaker.Internet.user_agent()\n\"Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:72.0) Gecko/20100101 Firefox/72.0\"\n```\n\n## [Lorem](`NeoFaker.Lorem`)\n\n{: .col-1}\n\n### [`sentence(opts \\\\ [])`](`NeoFaker.Lorem.sentence/1`)\n\n```elixir\niex> NeoFaker.Lorem.paragraph()\n\"Suspendisse ac justo venenatis, tincidunt sapien nec, accumsan augue. Vestibulum urna\nrisus, egestas ut ultrices non, aliquet eget massa. Mauris id diam eget augue sagittis\nconvallis sit amet nec diam. Morbi ut blandit est, et placerat neque.\"\n\niex> NeoFaker.Lorem.paragraph(type: \"meditations\")\n\"Do the things external which fall upon thee distract thee? Give thyself time to learn\nsomething new and good, and cease to be whirled around. But then thou must also avoid being\ncarried about the other way. For those too are triflers who have wearied themselves in life\nby their activity, and yet have no object to which to direct every movement, and, in a word,\nall their thoughts.\"\n```\n\n`NeoFaker.Lorem.sentence/1` and `NeoFaker.Lorem.word/1` behave the same way as\n`NeoFaker.Lorem.paragraph/1`.\n\n## [Number](`NeoFaker.Number`)\n\n{: .col-2}\n\n### [`between(min \\\\ 0, max \\\\ 100)`](`NeoFaker.Number.between/2`)\n\n```elixir\niex> NeoFaker.Number.between()\n27\n\niex> NeoFaker.Number.between(1, 100)\n28\n\niex> NeoFaker.Number.between(1.0, 100.0)\n29.481745280074264\n```\n\n### [`digit()`](`NeoFaker.Number.digit/0`)\n\n```elixir\niex> NeoFaker.Number.digit()\n5\n```\n\n### [`float(left_digit \\\\ 10..100, right_digit \\\\ 10000..100_000)`](`NeoFaker.Number.float/2`)\n\n```elixir\niex> NeoFaker.Number.float()\n30.94372\n\niex> NeoFaker.Number.float(1..9, 10..90)\n1.44\n```\n\n## [Person](`NeoFaker.Person`)\n\n{: .col-2}\n\n### [`age(min \\\\ 0, max \\\\ 120)`](`NeoFaker.Person.age/2`)\n\n```elixir\niex> NeoFaker.Person.age()\n44\n\niex> NeoFaker.Person.age(7, 44)\n27\n```\n\n### [`binary_gender()`](`NeoFaker.Person.binary_gender/0`)\n\n```elixir\niex> NeoFaker.Person.binary_gender()\n\"Male\"\n```\n\n### [`first_name(opts \\\\ [])`](`NeoFaker.Person.first_name/1`)\n\n```elixir\niex> NeoFaker.Person.first_name()\n\"Julia\"\n\niex> NeoFaker.Person.first_name(type: :male)\n\"José\"\n```\n\n`NeoFaker.Person.middle_name/1` and `NeoFaker.Person.last_name/1` behave the same way as\n`NeoFaker.Person.first_name/1`.\n\n### [`full_name(opts \\\\ [])`](`NeoFaker.Person.full_name/1`)\n\n```elixir\niex> NeoFaker.Person.full_name()\n\"Abigail Bethany Crawford\"\n\niex> NeoFaker.Person.full_name(sex: :male)\n\"Daniel Edward Fisher\"\n\niex> NeoFaker.Person.full_name(middle_name: false)\n\"Gabriella Harrison\"\n```\n\n### [`non_binary_gender(opts \\\\ [])`](`NeoFaker.Person.non_binary_gender/1`)\n\n```elixir\niex> NeoFaker.Person.non_binary_gender()\n\"Agender\"\n```\n\n### [`prefix(opts \\\\ [])`](`NeoFaker.Person.prefix/1`)\n\n```elixir\niex> NeoFaker.Person.prefix()\n\"Mr.\"\n```\n\n### [`short_binary_gender(opts \\\\ [])`](`NeoFaker.Person.short_binary_gender/1`)\n\n```elixir\niex> NeoFaker.Person.short_binary_gender()\n\"F\"\n```\n\n### [`suffix(opts \\\\ [])`](`NeoFaker.Person.suffix/1`)\n\n```elixir\niex> NeoFaker.Person.suffix()\n\"IV\"\n```\n\n## [Text](`NeoFaker.Text`)\n\n{: .col-2}\n\n### [`character(opts \\\\ [])`](`NeoFaker.Text.character/1`)\n\n```elixir\niex> NeoFaker.Text.character()\n\"a\"\n\niex> NeoFaker.Text.character(type: :digit)\n\"0\"\n```\n\n### [`characters(number \\\\ 11, opts \\\\ [])`](`NeoFaker.Text.characters/2`)\n\n```elixir\niex> NeoFaker.Text.characters()\n\"XfELJU1mRMg\"\n\niex> NeoFaker.Text.characters(20, type: :alphabet_upper)\n\"BVAJHRGSCEVJFNYSWCJE\"\n```\n\n### [`emoji(opts \\\\ [])`](`NeoFaker.Text.emoji/1`)\n\n```elixir\niex> NeoFaker.Text.emoji()\n\"✨\"\n\niex> NeoFaker.Text.emoji(category: :activities)\n\"🎉\"\n```\n\n### [`word()`](`NeoFaker.Text.word/0`)\n\n```elixir\niex> NeoFaker.Text.word()\n\"computer\"\n```\n\n## [Time](`NeoFaker.Time`)\n\n{: .col-2}\n\n### [`add(range \\\\ -24..24, opts \\\\ [])`](`NeoFaker.Time.add/1`)\n\n```elixir\niex> NeoFaker.Time.add()\n~T[15:22:10]\n\niex> NeoFaker.Time.add(-2..2, unit: :minute)\n~T[07:23:10]\n\niex> NeoFaker.Time.add(0..10, format: :iso8601)\n\"15:22:10\"\n```\n\n### [`between(start \\\\ ~T[00:00:00], finish \\\\ ~T[23:59:59], opts \\\\ [])`](`NeoFaker.Time.between/1`)\n\n```elixir\niex> NeoFaker.Time.between()\n~T[15:22:10]\n\niex> NeoFaker.Time.between(~T[00:00:00], ~T[23:59:59], format: :iso8601)\n\"15:22:10\"\n```","ref":"cheat.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}